summaryrefslogtreecommitdiffstats
path: root/ci/Debian_juno.tmpl
diff options
context:
space:
mode:
authorChigang(Justin) <chigang@huawei.com>2015-08-18 12:17:22 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-08-18 12:17:22 +0000
commit8df99c5890236b6acc7578f663f36fd0deafa453 (patch)
tree8b3e63682d7c3cbb78e4fe0d811086cfa1d93dea /ci/Debian_juno.tmpl
parentade17ce57eb08dbf262cb9b6f1893367e2832dc1 (diff)
parent3656b2525c9b4e8c5e1f45625adb1cd143425dc0 (diff)
Merge "Generate ppa repositories automatically"
Diffstat (limited to 'ci/Debian_juno.tmpl')
-rw-r--r--ci/Debian_juno.tmpl36
1 files changed, 36 insertions, 0 deletions
diff --git a/ci/Debian_juno.tmpl b/ci/Debian_juno.tmpl
new file mode 100644
index 00000000..1a9a26a7
--- /dev/null
+++ b/ci/Debian_juno.tmpl
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -ex
+
+# add openstack juno repo
+sudo apt-get update && apt-get install -y software-properties-common
+sudo add-apt-repository -y cloud-archive:juno
+
+# add galeracluster repo
+sudo apt-key adv --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 D669017EBC19DDBA
+sudo add-apt-repository 'deb http://releases.galeracluster.com/ubuntu trusty main'
+
+sudo apt-get update
+
+sudo apt-get install reprepro -y
+
+#download packages
+#set packages = $getVar('packages', [])
+
+#for pkg in $packages
+sudo apt-get -d install $pkg -y
+#end for
+
+#make repo
+mkdir -p trusty-juno-ppa/conf
+cat <<EOF > trusty-juno-ppa/conf/distributions
+Codename: trusty
+Components: main
+Architectures: amd64
+EOF
+
+mkdir deb
+find /var/cache/apt/ -name *.deb | xargs -i cp {} deb
+
+reprepro -b trusty-juno-ppa includedeb trusty deb/*.deb
+
+tar -zcvf /trusty-juno-ppa.tar.gz ./trusty-juno-ppa